\function_sect{Fast Fourier Transform Routines}

\function{_gsl_fft_complex}
\synopsis{Perform an N-d FFT}
\usage{y = _gsl_fft_complex (x, dir)}
\description
  This routine computes the FFT of an array \exmp{x} and returns the
  result.  The integer-valued parameter \exmp{dir} parameter specifies
  the direction of the transform.  A forward transform will be
  produced for positive values of \exmp{dir} and a reverse transform
  will be computed for negative values. 
  
  The result will be a complex array of the same size and
  dimensionality as the the input array.
\notes
  It is better to call this routine indirectly using the \sfun{fft}
  function.
\seealso{fft}
\done

\function{fft}
\synopsis{Perform an N-d FFT}
\usage{y = fft (x, dir)}
\description
  This routine computes the FFT of an array \exmp{x} and returns the
  result.  The integer-valued parameter \exmp{dir} parameter specifies
  the direction of the transform.  A forward transform will be
  produced for positive values of \exmp{dir} and a reverse transform
  will be computed for negative values. 
  
  The result will be a complex array of the same size and
  dimensionality as the the input array.
\notes
  This routine is currently a wrapper for the \exmp{_gsl_fft_complex}
  function.
\seealso{_gsl_fft_complex}
\done

